Hosting Talk | Web Hosting talk India

Web Hosting   Add Host and Hosting News 

 

Go Back   Hosting Talk | Web Hosting talk India > Web Hosting Main Forums > Web Hosting > Web Hosting Tutorials

Ads

Reply
 
Thread Tools Display Modes
  #1  
Old 06-12-2012, 11:20 PM
SolidShellSecurity SolidShellSecurity is offline
Member
 
Join Date: Jun 2012
Posts: 31
Default CPAnel update script for php 5.3.13 fix exploit

#!/bin/bash

phpcgi=`which php-cgi`
if [ -f "$phpcgi" ]; then
ver=`$phpcgi -v | grep built | awk '{print$2}' | tr -d '.'`
if [ "$ver" -le "5312" ]; then
echo "PHP CGI version less than 5.3.13 detected, upgrade required."
echo "Build of php 5.3.13 will be based on php -i configure options."
echo "Press enter to continue or CTRL+C to cancel."
read Z
cd /opt
rm -rf php-5.3.13.tar.gz php-5.3.13
wget -t3 -T3 "http://us.php.net/get/php-5.3.13.tar.gz/from/this/mirror" -O php-5.3.13.tar.gz
tar xfz php-5.3.13.tar.gz
if [ ! -d "php-5.3.13" ]; then
echo "download of php 5.3.13 failed, aborting."
exit 1
fi
cd php-5.3.13
$(/usr/local/bin/php -i 2> /dev/null | grep -i configure | sed 's/Configure Command => //' | sed "s_'--with-apxs2=/usr/local/apache/bin/apxs'__" | tr -d "'")
make && make install
rm -rf php-5.3.13.tar.gz php-5.3.13
cp -f /usr/local/bin/php /usr/local/bin/php-cgi /usr/bin/
fi
fi

source
__________________
SolidShellSecurity.com. Providing Quality Support, Secure Hosting and Amazing Services.
99.9% Uptime + Daily security scans + 24/7/365 Helpdesk & Live Chat Support + Secure + Site Management
Need management or server configurations like security? Can do! We offer many security based services and managment options.
Reply With Quote
  #2  
Old 06-13-2012, 03:56 AM
jitender jitender is offline
Administrator
 
Join Date: May 2012
Posts: 104
Default

it's good to update script to fix exploit for php 5.3.13 on cPanel, but if you do not handle the error, please do not try this, proper knowledge can make it perfect.

best of luck
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT. The time now is 06:28 AM.


Powered by vBulletin® Version 3.7.3
Copyright ©2000 - 2018, SEO by YABBSEO 1.0 2012, YABSoft.com.